Skip to content

getWorkCentersByLocation

READ

Get work centers by location.

POST /api/v1/resources/getWorkCentersByLocation
curl -X POST '<your-host>/api/v1/resources/getWorkCentersByLocation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string"
  }'
Response
{
  "results": [
    {
      "isBlocked": true,
      "blockingDispatchId": "string",
      "blockingDispatchReadableId": "string",
      "active": true,
      "alwaysOn": true,
      "batchCapacity": 0,
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "defaultStandardFactor": "Hours/Piece",
      "departmentId": "string",
      "departmentName": "string",
      "description": "string",
      "id": "string",
      "laborRate": 0,
      "locationId": "string",
      "locationName": "string",
      "machineRate": 0,
      "minimumBatchQuantity": 0,
      "name": "string",
      "overheadRate": 0,
      "processes": [
        "string"
      ],
      "requiredAbilityId": "string",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string"
    }
  },
  "required": [
    "locationId"
  ]
}